




    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]

   DefineRegister $Module xVME Firmware_Rev        "-a $A32Base -w 32 -o 0x800c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME GEO_Address         "-a $A32Base -w 32 -o 0x8008 -p ro -d 16 -l 5 -b 0 -z x"
   DefineRegister $Module xVME Reset               "-a $A32Base -w 32 -o 0x800a -p wo -d 16 -l 0 -b 0"

   DefineRegister $Module xVME ROM.OUI_MSB         "-a $A32Base -w 32 -o 0x8124 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI             "-a $A32Base -w 32 -o 0x8128 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.OUI_LSB         "-a $A32Base -w 32 -o 0x812c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Version         "-a $A32Base -w 32 -o 0x8130 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_MSB         "-a $A32Base -w 32 -o 0x8134 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID             "-a $A32Base -w 32 -o 0x8138 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.BID_LSB         "-a $A32Base -w 32 -o 0x813c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Rev             "-a $A32Base -w 32 -o 0x804c -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_MSB         "-a $A32Base -w 32 -o 0x8180 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ROM.Ser_LSB         "-a $A32Base -w 32 -o 0x8184 -p ro -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME Scratch16           "-a $A32Base -w 32 -o 0x8018 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Scratch32           "-a $A32Base -w 32 -o 0x8020 -p rw -d 32 -l 0 -b 0 -z x"

   DefineRegister $Module xVME DataItem            "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME DataBuffer          "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 64"

   DefineRegister $Module xVME FPGAItem            "-a $A32Base -w 32 -o 0x1000 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME FPGABuffer          "-a $A32Base -w 32 -o 0x1000 -p rw -d 32 -z x -l 64"

puts "Defined $Module"
